path: /build/build/grep-sys-apps-3.11+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/grep && luet-portage --dir
    /pkgdir/grep sys-apps/grep
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:46b435fbe3451c792fadc663959184ebd73582d0ca9edcd05d4221e52374a5cb
  package:
    name: grep
    version: 3.11+1
    category: sys-apps
    use_flags:
    - -static
    - nls
    - pcre
    requires:
    - name: funtoo-base
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: GNU regular expression matcher
    uri:
    - https://www.gnu.org/software/grep/
    license: GPL-3
    buildtimestamp: 2023-08-19 14:16:41.052264296 +0000 UTC m=+46.051982941
    labels:
      BDEPEND: app-arch/xz-utils virtual/pkgconfig nls? ( sys-devel/gettext )
      DEPEND: '!static? ( pcre? ( dev-libs/libpcre2 ) ) nls? ( virtual/libintl ) virtual/libiconv
        static? ( pcre? ( dev-libs/libpcre2[static-libs(+)] ) )'
      IUSE: nls pcre static
      RDEPEND: '!static? ( pcre? ( dev-libs/libpcre2 ) ) nls? ( virtual/libintl )
        virtual/libiconv'
      emerge.packages: sys-apps/grep
      kit: core-kit
      original.package.name: sys-apps/grep
      original.package.slot: "0"
      original.package.version: "3.11"
    treedir: /build/packages
  package_dir: /pkgdir/grep
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: b7dff31c143addadcf6649dc2ce1a44e44882f862d4eeab1a4c080ae19ebe999
compressiontype: zstd
files:
- bin/egrep
- bin/fgrep
- bin/grep
- usr/share/doc/grep-3.11/AUTHORS.bz2
- usr/share/doc/grep-3.11/ChangeLog.bz2
- usr/share/doc/grep-3.11/NEWS.bz2
- usr/share/doc/grep-3.11/README.bz2
- usr/share/doc/grep-3.11/THANKS.bz2
- usr/share/doc/grep-3.11/TODO.bz2
- usr/share/info/grep.info.bz2
- usr/share/locale/af/LC_MESSAGES/grep.mo
- usr/share/locale/be/LC_MESSAGES/grep.mo
- usr/share/locale/bg/LC_MESSAGES/grep.mo
- usr/share/locale/ca/LC_MESSAGES/grep.mo
- usr/share/locale/cs/LC_MESSAGES/grep.mo
- usr/share/locale/da/LC_MESSAGES/grep.mo
- usr/share/locale/de/LC_MESSAGES/grep.mo
- usr/share/locale/el/LC_MESSAGES/grep.mo
- usr/share/locale/eo/LC_MESSAGES/grep.mo
- usr/share/locale/es/LC_MESSAGES/grep.mo
- usr/share/locale/et/LC_MESSAGES/grep.mo
- usr/share/locale/eu/LC_MESSAGES/grep.mo
- usr/share/locale/fi/LC_MESSAGES/grep.mo
- usr/share/locale/fr/LC_MESSAGES/grep.mo
- usr/share/locale/ga/LC_MESSAGES/grep.mo
- usr/share/locale/gl/LC_MESSAGES/grep.mo
- usr/share/locale/he/LC_MESSAGES/grep.mo
- usr/share/locale/hr/LC_MESSAGES/grep.mo
- usr/share/locale/hu/LC_MESSAGES/grep.mo
- usr/share/locale/id/LC_MESSAGES/grep.mo
- usr/share/locale/it/LC_MESSAGES/grep.mo
- usr/share/locale/ja/LC_MESSAGES/grep.mo
- usr/share/locale/ka/LC_MESSAGES/grep.mo
- usr/share/locale/ko/LC_MESSAGES/grep.mo
- usr/share/locale/ky/LC_MESSAGES/grep.mo
- usr/share/locale/lt/LC_MESSAGES/grep.mo
- usr/share/locale/nb/LC_MESSAGES/grep.mo
- usr/share/locale/nl/LC_MESSAGES/grep.mo
- usr/share/locale/pa/LC_MESSAGES/grep.mo
- usr/share/locale/pl/LC_MESSAGES/grep.mo
- usr/share/locale/pt/LC_MESSAGES/grep.mo
- usr/share/locale/pt_BR/LC_MESSAGES/grep.mo
- usr/share/locale/ro/LC_MESSAGES/grep.mo
- usr/share/locale/ru/LC_MESSAGES/grep.mo
- usr/share/locale/sk/LC_MESSAGES/grep.mo
- usr/share/locale/sl/LC_MESSAGES/grep.mo
- usr/share/locale/sr/LC_MESSAGES/grep.mo
- usr/share/locale/sv/LC_MESSAGES/grep.mo
- usr/share/locale/ta/LC_MESSAGES/grep.mo
- usr/share/locale/th/LC_MESSAGES/grep.mo
- usr/share/locale/tr/LC_MESSAGES/grep.mo
- usr/share/locale/uk/LC_MESSAGES/grep.mo
- usr/share/locale/vi/LC_MESSAGES/grep.mo
- usr/share/locale/zh_CN/LC_MESSAGES/grep.mo
- usr/share/locale/zh_TW/LC_MESSAGES/grep.mo
- usr/share/man/man1/grep.1.bz2
- var/db/pkg/sys-apps/grep-3.11/BDEPEND
- var/db/pkg/sys-apps/grep-3.11/BUILD_TIME
- var/db/pkg/sys-apps/grep-3.11/CATEGORY
- var/db/pkg/sys-apps/grep-3.11/CBUILD
- var/db/pkg/sys-apps/grep-3.11/CFLAGS
- var/db/pkg/sys-apps/grep-3.11/CHOST
- var/db/pkg/sys-apps/grep-3.11/CONTENTS
- var/db/pkg/sys-apps/grep-3.11/COUNTER
- var/db/pkg/sys-apps/grep-3.11/CXXFLAGS
- var/db/pkg/sys-apps/grep-3.11/DEFINED_PHASES
- var/db/pkg/sys-apps/grep-3.11/DEPEND
- var/db/pkg/sys-apps/grep-3.11/DESCRIPTION
- var/db/pkg/sys-apps/grep-3.11/EAPI
- var/db/pkg/sys-apps/grep-3.11/FEATURES
- var/db/pkg/sys-apps/grep-3.11/HOMEPAGE
- var/db/pkg/sys-apps/grep-3.11/INHERITED
- var/db/pkg/sys-apps/grep-3.11/IUSE
- var/db/pkg/sys-apps/grep-3.11/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/grep-3.11/KEYWORDS
- var/db/pkg/sys-apps/grep-3.11/LDFLAGS
- var/db/pkg/sys-apps/grep-3.11/LICENSE
- var/db/pkg/sys-apps/grep-3.11/NEEDED
- var/db/pkg/sys-apps/grep-3.11/PF
- var/db/pkg/sys-apps/grep-3.11/RDEPEND
- var/db/pkg/sys-apps/grep-3.11/REQUIRES
- var/db/pkg/sys-apps/grep-3.11/SIZE
- var/db/pkg/sys-apps/grep-3.11/SLOT
- var/db/pkg/sys-apps/grep-3.11/USE
- var/db/pkg/sys-apps/grep-3.11/environment.bz2
- var/db/pkg/sys-apps/grep-3.11/grep-3.11.ebuild
- var/db/pkg/sys-apps/grep-3.11/repository
package_cacheimage: ""
runtime:
  name: grep
  version: 3.11+1
  category: sys-apps
  use_flags:
  - -static
  - nls
  - pcre
  requires:
  - name: libpcre2
    version: '>=0'
    category: dev-libs
  - name: libiconv
    version: '>=0'
    category: virtual
  - name: libintl
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: GNU regular expression matcher
  uri:
  - https://www.gnu.org/software/grep/
  license: GPL-3
  labels:
    BDEPEND: app-arch/xz-utils virtual/pkgconfig nls? ( sys-devel/gettext )
    DEPEND: '!static? ( pcre? ( dev-libs/libpcre2 ) ) nls? ( virtual/libintl ) virtual/libiconv
      static? ( pcre? ( dev-libs/libpcre2[static-libs(+)] ) )'
    IUSE: nls pcre static
    RDEPEND: '!static? ( pcre? ( dev-libs/libpcre2 ) ) nls? ( virtual/libintl ) virtual/libiconv'
    emerge.packages: sys-apps/grep
    kit: core-kit
    original.package.name: sys-apps/grep
    original.package.slot: "0"
    original.package.version: "3.11"
